<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>Uses of Interface jdraw.framework.DrawModelListener (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface jdraw.framework.DrawModelListener (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../jdraw/framework/package-summary.html">Package</a></li>
<li><a href="../../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework">Class</a></li>
<li class="navBarCell1Rev">Use</li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?jdraw/framework/class-use/DrawModelListener.html" target="_top">Frames</a></li>
<li><a href="DrawModelListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface jdraw.framework.DrawModelListener" class="title">Uses of Interface<br>jdraw.framework.DrawModelListener</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="jdraw.framework">
<!--   -->
</a>
<h3>Uses of <a href="../../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework">DrawModelListener</a> in <a href="../../../jdraw/framework/package-summary.html">jdraw.framework</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../jdraw/framework/package-summary.html">jdraw.framework</a> with parameters of type <a href="../../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework">DrawModelListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DrawModel.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawModel.html#addModelChangeListener-jdraw.framework.DrawModelListener-">addModelChangeListener</a></span>(<a href="../../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework">DrawModelListener</a>&nbsp;listener)</code>
<div class="block">Adds the specified model listener to receive model events from this draw
 model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DrawModel.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawModel.html#removeModelChangeListener-jdraw.framework.DrawModelListener-">removeModelChangeListener</a></span>(<a href="../../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework">DrawModelListener</a>&nbsp;listener)</code>
<div class="block">Removes the specified model listener so that it no longer receives model
 events from this draw model.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../jdraw/framework/package-summary.html">Package</a></li>
<li><a href="../../../jdraw/framework/DrawModelListener.html" title="interface in jdraw.framework">Class</a></li>
<li class="navBarCell1Rev">Use</li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?jdraw/framework/class-use/DrawModelListener.html" target="_top">Frames</a></li>
<li><a href="DrawModelListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
